%def_without test
%define module_name Hailo
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/Training.pm) perl(Bot/Training/MegaHAL.pm) perl(Bot/Training/StarCraft.pm) perl(Class/Load.pm) perl(DBD/SQLite.pm) perl(DBI.pm) perl(Data/Dump.pm) perl(Data/Section.pm) perl(Dir/Self.pm) perl(Encode.pm) perl(ExtUtils/MakeMaker.pm) perl(File/CountLines.pm) perl(File/Slurp.pm) perl(File/Spec/Functions.pm) perl(Getopt/Long/Descriptive.pm) perl(IO/Interactive.pm) perl(IPC/System/Simple.pm) perl(List/MoreUtils.pm) perl(Moose.pm) perl(MooseX/Getopt.pm) perl(MooseX/StrictConstructor.pm) perl(MooseX/Types.pm) perl(Pod/Section.pm) perl(Pod/Usage.pm) perl(Regexp/Common.pm) perl(Sys/Prctl.pm) perl(Term/ReadLine.pm) perl(Term/Sk.pm) perl(Test/Exception.pm) perl(Test/Expect.pm) perl(Test/More.pm) perl(Test/Output.pm) perl(Test/Script.pm) perl(Test/Script/Run.pm) perl(Time/HiRes.pm) perl(WWW/Mechanize.pm)
BuildRequires: perl(YAML/XS.pm) perl(autodie.pm) perl(namespace/clean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.75
Release: alt1
Summary: A pluggable Markov engine analogous to MegaHAL
Group: Development/Perl
License: perl
URL: http://hailo.org

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AV/AVAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
From summary: %summary

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc TODO Changes LICENSE
%perl_vendor_privlib/H*

%files scripts
%_man1dir/*
%_bindir/*

%changelog
* Fri Dec 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.75-alt1
- regenerated from template by package builder

* Thu Apr 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.72-alt1
- initial import by package builder

